CREATE TABLE cst_transfer_order_dists (
    CST_TRANSFER_ORDER_DIST_ID    NUMBER(18, 0) ,
    EXTERNAL_SYSTEM_REFERENCE     VARCHAR2(120)     NOT NULL,
    EXTERNAL_SYSTEM_REF_ID        VARCHAR2(120)     NOT NULL,
    DISTRIBUTION_ID               NUMBER(18, 0)     NOT NULL,
    DISTRIBUTION_NUMBER           NUMBER            NOT NULL,
    PERCENT                       NUMBER        ,
    CHARGE_ACCOUNT_ID             NUMBER(18, 0) ,
    REQUESTED_QUANTITY            NUMBER        ,
    AMOUNT                        NUMBER        ,
    CST_TRANSFER_ORDER_LINE_ID    NUMBER(18, 0)     NOT NULL,
    REQ_DISTRIBUTION_ID           NUMBER(18, 0) ,
    RECOVERABLE_TAX_AMOUNT        NUMBER        ,
    NONRECOVERABLE_TAX_AMOUNT     VARCHAR2(80)  ,
    FUNDS_STATUS                  VARCHAR2(80)  ,
    BUDGET_DATE                   DATE          ,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    REQUEST_ID                    NUMBER(18, 0) ,
    JOB_DEFINITION_NAME           VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE        VARCHAR2(3600),
    PJC_CONTEXT_CATEGORY          VARCHAR2(160) ,
    PJC_PROJECT_ID                NUMBER(18, 0) ,
    PJC_TASK_ID                   NUMBER(18, 0) ,
    PJC_EXPENDITURE_TYPE_ID       NUMBER(18, 0) ,
    PJC_EXPENDITURE_ITEM_DATE     DATE          ,
    PJC_ORGANIZATION_ID           NUMBER(18, 0) ,
    PJC_BILLABLE_FLAG             VARCHAR2(4)   ,
    PJC_WORK_TYPE_ID              NUMBER(18, 0) ,
    PJC_FUNDING_ALLOCATION_ID     NUMBER(18, 0) ,
    PJC_CONTRACT_ID               NUMBER(18, 0) ,
    PJC_CONTRACT_LINE_ID          NUMBER(18, 0) ,
    PJC_CAPITALIZABLE_FLAG        VARCHAR2(4)   ,
    PJC_USER_DEF_ATTRIBUTE1       VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE2       VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE3       VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE4       VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE5       VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE6       VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE7       VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE8       VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE9       VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE10      VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE1       VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE2       VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE3       VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE4       VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE5       VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE6       VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE7       VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE8       VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE9       VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE10      VARCHAR2(600) ,
    NRTAX_AMOUNT                  NUMBER        ,
    EXTERNAL_SYSTEM_REFERENCE     VARCHAR2(120)     NOT NULL,
    EXTERNAL_SYSTEM_REF_ID        VARCHAR2(120)     NOT NULL,
    DISTRIBUTION_ID               NUMBER(18, 0)     NOT NULL,
    DISTRIBUTION_NUMBER           NUMBER            NOT NULL,
    PERCENT                       NUMBER        ,
    CHARGE_ACCOUNT_ID             NUMBER(18, 0) ,
    REQUESTED_QUANTITY            NUMBER        ,
    AMOUNT                        NUMBER        ,
    CST_TRANSFER_ORDER_LINE_ID    NUMBER(18, 0)     NOT NULL,
    CST_TRANSFER_ORDER_DIST_ID    NUMBER(18, 0) ,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    REQUEST_ID                    NUMBER(18, 0) ,
    JOB_DEFINITION_NAME           VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE        VARCHAR2(3600),
    REQ_DISTRIBUTION_ID           NUMBER(18, 0) ,
    RECOVERABLE_TAX_AMOUNT        NUMBER        ,
    NONRECOVERABLE_TAX_AMOUNT     VARCHAR2(80)  ,
    FUNDS_STATUS                  VARCHAR2(80)  ,
    BUDGET_DATE                   DATE          ,
    PJC_CONTEXT_CATEGORY          VARCHAR2(160) ,
    PJC_PROJECT_ID                NUMBER(18, 0) ,
    PJC_TASK_ID                   NUMBER(18, 0) ,
    PJC_EXPENDITURE_TYPE_ID       NUMBER(18, 0) ,
    PJC_EXPENDITURE_ITEM_DATE     DATE          ,
    PJC_ORGANIZATION_ID           NUMBER(18, 0) ,
    PJC_BILLABLE_FLAG             VARCHAR2(4)   ,
    PJC_WORK_TYPE_ID              NUMBER(18, 0) ,
    PJC_FUNDING_ALLOCATION_ID     NUMBER(18, 0) ,
    PJC_CONTRACT_ID               NUMBER(18, 0) ,
    PJC_CONTRACT_LINE_ID          NUMBER(18, 0) ,
    PJC_CAPITALIZABLE_FLAG        VARCHAR2(4)   ,
    PJC_USER_DEF_ATTRIBUTE1       VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE2       VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE3       VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE4       VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE5       VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE6       VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE7       VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE8       VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE9       VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE10      VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE1       VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE2       VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE3       VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE4       VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE5       VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE6       VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE7       VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE8       VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE9       VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE10      VARCHAR2(600) ,
    NRTAX_AMOUNT                  NUMBER        ,
    CONSTRAINT pk_cst_transfer_order_dists PRIMARY KEY (CST_TRANSFER_ORDER_DIST_ID, CST_TRANSFER_ORDER_DIST_ID)
);
